<?php
//
// ZoneMinder web German language file, $Date: 2011-08-23 15:10:20 +0100 (Tue, 23 Aug 2011) $, $Revision: 3500 $
// Copyright (C) 2001-2008 Philip Coombes
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//

// ZoneMinder finnish Translation by Kimmo Hippi (kimmo dot hippi at sedu dot fi)

// Notes for Translators
// 0. Get some credit, put your name in the line above (optional)
// 1. When composing the language tokens in your language you should try and keep to roughly the
//   same length text if possible. Abbreviate where necessary as spacing is quite close in a number of places.
// 2. There are four types of string replacement
//   a) Simple replacements are words or short phrases that are static and used directly. This type of
//     replacement can be used 'as is'.
//   b) Complex replacements involve some dynamic element being included and so may require substitution
//     or changing into a different order. The token listed in this file will be passed through sprintf as
//     a formatting string. If the dynamic element is a number you will usually need to use a variable
//     replacement also as described below.
//   c) Variable replacements are used in conjunction with complex replacements and involve the generation
//     of a singular or plural noun depending on the number passed into the zmVlang function. See the 
//     the zmVlang section below for a further description of this.
//   d) Optional strings which can be used to replace the prompts and/or help text for the Options section
//     of the web interface. These are not listed below as they are quite large and held in the database
//     so that they can also be used by the zmconfig.pl script. However you can build up your own list
//     quite easily from the Config table in the database if necessary.
// 3. The tokens listed below are not used to build up phrases or sentences from single words. Therefore
//   you can safely assume that a single word token will only be used in that context.
// 4. In new language files, or if you are changing only a few words or phrases it makes sense from a 
//   maintenance point of view to include the original language file and override the old definitions rather
//   than copy all the language tokens across. To do this change the line below to whatever your base language
//   is and uncomment it.
// require_once( 'zm_lang_en_gb.php' );

// You may need to change the character set here, if your web server does not already
// do this by default, uncomment this if required.
//
// Example
// header( "Content-Type: text/html; charset=iso-8859-1" );

// You may need to change your locale here if your default one is incorrect for the
// language described in this file, or if you have multiple languages supported.
// If you do need to change your locale, be aware that the format of this function
// is subtlely different in versions of PHP before and after 4.3.0, see
// http://uk2.php.net/manual/en/function.setlocale.php for details.
// Also be aware that changing the whole locale may affect some floating point or decimal 
// arithmetic in the database, if this is the case change only the individual locale areas
// that don't affect this rather than all at once. See the examples below.
// Finally, depending on your setup, PHP may not enjoy have multiple locales in a shared 
// threaded environment, if you get funny errors it may be this.
//
// Examples
// setlocale( 'LC_ALL', 'en_GB' ); All locale settings pre-4.3.0
// setlocale( LC_ALL, 'en_GB' ); All locale settings 4.3.0 and after
// setlocale( LC_CTYPE, 'en_GB' ); Character class settings 4.3.0 and after
// setlocale( LC_TIME, 'en_GB' ); Date and time formatting 4.3.0 and after

// Simple String Replacements
$SLANG = array(
    '24BitColour'          => '24-Bit-Vri',
    '8BitGrey'             => '8-Bit-Harmaa',
    'Action'               => 'Toiminto',
    'Actual'               => 'Alkuperinen',
    'AddNewControl'        => 'Lis uusi kontrollielementti',
    'AddNewMonitor'        => 'Uusi Monitori',
    'AddNewUser'           => 'Uusi kyttj',
    'AddNewZone'           => 'Uusi alue',
    'Alarm'                => 'Hlytys',
    'AlarmBrFrames'        => 'Hlytys-<br />kehyhyksi',
    'AlarmFrame'           => 'Hlytys-Kehykset',
    'AlarmFrameCount'      => 'Hlytys kehyksi',
    'AlarmLimits'          => 'Hlytys rajat',
    'AlarmMaximumFPS'      => 'Hlytys-Max-FPS',
    'AlarmPx'              => 'Hlytys-Pixeli',
    'AlarmRGBUnset'        => 'Hlytyksen vri asettamatta',
    'Alert'                => 'Hlytys',
    'All'                  => 'Kaikki',
    'Apply'                => 'Lis',
    'ApplyingStateChange'  => 'Aktivoi uusi status',
    'ArchArchived'         => 'Vain arkistoidut',
    'ArchUnarchived'       => 'Vain arkistoimattomat',
    'Archive'              => 'Arkistoi',
    'Archived'             => 'Arkistoidut',
    'Area'                 => 'vlilt',
    'AreaUnits'            => 'vlilt (px/%)',
    'AttrAlarmFrames'      => 'Hltyskehykset',
    'AttrArchiveStatus'    => 'Arkisointistatus',
    'AttrAvgScore'         => 'Keskim. pistemr',
    'AttrCause'            => 'Syy',
    'AttrDate'             => 'Pivys',
    'AttrDateTime'         => 'Pivys/Aika',
    'AttrDiskBlocks'       => 'Levy-Blokeja',
    'AttrDiskPercent'      => 'Levy-Prosenttia',
    'AttrDuration'         => 'Kesto',
    'AttrFrames'           => 'Kehyksi',
    'AttrId'               => 'ID',
    'AttrMaxScore'         => 'Max. Pistemr',
    'AttrMonitorId'        => 'Monitori-ID',
    'AttrMonitorName'      => 'Monitorinimi',
    'AttrName'             => 'Nimi',
    'AttrNotes'            => 'Huom.',
    'AttrSystemLoad'       => 'Kuormitus',
    'AttrTime'             => 'Aika',
    'AttrTotalScore'       => 'Pisteit yht.',
    'AttrWeekday'          => 'Viikonpiv',
    'Auto'                 => 'Autom.',
    'AutoStopTimeout'      => 'Autom-pysytysajastus',
    'Available'            => 'Saatavilla',              // Listty - 2013-07-04
    'AvgBrScore'           => 'Keskim.<br/>Pistemr',
    'Background'           => 'Taustalla',
    'BackgroundFilter'     => 'Suorita suodin taustalla',
    'BadAlarmFrameCount'   => 'Kehysmr tytyy olla vhintn kokonaisluku 1 tai suurempi',
    'BadAlarmMaxFPS'       => 'Hlytys-Max.-FPS tytyy olla positiivinen kokonaisluku',
    'BadChannel'           => 'Kanavan tytyy olla kokonaisluku 0 tai suurempi',
    'BadDevice'            => 'Laite tytyy olla jrjestelmn rekisterity',
    'BadFPSReportInterval' => 'FPS-Intervalli-Puskuri-Laskuri tytyy olla kokonaisluku 0 tai suurempi',
    'BadFormat'            => 'Formaatti tytyy olla kokonaisluku 0 tai suurempi',
    'BadFrameSkip'         => 'Kehysten ylihyppy-laskuriarvo tytyy olla kokonaisluku 0 tai suurempi',
    'BadHeight'            => 'Korkeusarvo vrin',
    'BadHost'              => 'Kohteella on oltava oikea IP-osoite tai nimi (ilman http://)',
    'BadImageBufferCount'  => 'Kuvapuskurin koko tytyy olla kokonaisluku 10 tai suurempi',
    'BadLabelX'            => 'OTSIKON X-Koordinaatti tytyy olla kokonaisluku 0 tai suurempi',
    'BadLabelY'            => 'OTSIKON Y-Koordinaatti tytyy olla kokonaisluku 0 tai suurempi',
    'BadMaxFPS'            => 'Max.-FPS tytyy olla kokonaisluku 1 tai suurempi',
    'BadNameChars'         => 'Namen d&uuml;rfen nur aus Buchstaben, Zahlen und Trenn- oder Unterstrichen bestehen',
    'BadPalette'           => 'Vripaletille tytyy asettaa oikea arvo', // Added - 2009-03-31
    'BadPath'              => 'Polku asetettu vrin',
    'BadPort'              => 'Portti asetettu vrin',
    'BadPostEventCount'    => 'Jlkinauhoitettavien kehysten mr tytyy olla kokonaisluku 0 tai suurempi',
    'BadPreEventCount'     => 'Etukteen nauhoitettavien kehysten mr tytyy olla kokonaisluku ja pienempi kuin kuvapuskurin koko',
    'BadRefBlendPerc'      => 'Kehysten vertailuprosentti tytyy olla kokonaisluku 0 tai suurempi',
    'BadSectionLength'     => 'Otoksen pituus tytyy olla kokonaisluku 0 tai suurempi',
    'BadSignalCheckColour' => 'Signaalivri vrin asetettu',
    'BadStreamReplayBuffer'=> 'Nauhoitteen toistopuskuri tytyy olla kokonaisluku 0 tai suurempi',
    'BadWarmupCount'       => 'Lmmittelykehysten mr tytyy olla kokonaisluku 0 tai suurempi',
    'BadWebColour'         => 'Vrin tytyy olla selain yhteensopiva (WEB)',
    'BadWidth'             => 'Vr leveys',
    'Bandwidth'            => 'VALVONTAJRJESTELM',
    'BlobPx'               => 'Blob-pixelit',
    'BlobSizes'            => 'Blob-koko',
    'Blobs'                => 'Blobbeja',
    'Brightness'           => 'Kirkkaus',
    'Buffers'              => 'Puskurit',
    'CanAutoFocus'         => 'Autofokus',
    'CanAutoGain'          => 'Auto-Gain',
    'CanAutoIris'          => 'Auto-Iris',
    'CanAutoWhite'         => 'Auto-Balanssi',
    'CanAutoZoom'          => 'Auto-Zoom',
    'CanFocus'             => 'Fokus',
    'CanFocusAbs'          => 'Absoluuttinen Fokus',
    'CanFocusCon'          => 'Jatkuva Fokus',
    'CanFocusRel'          => 'Relatiiven Fokus',
    'CanGain'              => 'Gain',
    'CanGainAbs'           => 'Absoluuttinen Gain',
    'CanGainCon'           => 'Jatkuva Gain',
    'CanGainRel'           => 'Relatiivinen Gain',
    'CanIris'              => 'Iris',
    'CanIrisAbs'           => 'Absoluttinen Iris',
    'CanIrisCon'           => 'Jatkuva Iris',
    'CanIrisRel'           => 'Relatiivinen Iris',
    'CanMove'              => 'Liikkuva',
    'CanMoveAbs'           => 'Absoluuttiset liikkeet',
    'CanMoveCon'           => 'Jatkuvaliikkeinen',
    'CanMoveDiag'          => 'Diakonaalisesti liikkuva',
    'CanMoveMap'           => 'Kartoitetusti liikkuva',
    'CanMoveRel'           => 'Relatiivisesti liikkuva',
    'CanPan'               => 'Panoroiva' ,
    'CanReset'             => 'Resetoiva',
    'CanSetPresets'        => 'Esiasetettava',
    'CanSleep'             => 'Lepotila',
    'CanTilt'              => 'Tilttaava',
    'CanWake'              => 'Herv',
    'CanWhite'             => 'Valkoblanssi',
    'CanWhiteAbs'          => 'Absoluuttinen valkobalanssi',
    'CanWhiteBal'          => 'Valkobalanssi',
    'CanWhiteCon'          => 'Jatkuva Valkobalanssi',
    'CanWhiteRel'          => 'Relatiivinen Valkobalanssi',
    'CanZoom'              => 'Zoomaus',
    'CanZoomAbs'           => 'Kann absoluten Zoom',
    'CanZoomCon'           => 'Jatkuva zoomaus',
    'CanZoomRel'           => 'Relatiivinen zoomaus',
    'Cancel'               => 'Poistu',
    'CancelForcedAlarm'    => 'Keskeyt pakotettu hlytys',
    'CaptureHeight'        => 'Nauhoituskorkus',
    'CaptureMethod'        => 'Nauhoitus metodi',         // Added - 2009-02-08
    'CapturePalette'       => 'Nauhoitusvrisyvyys',
    'CaptureWidth'         => 'Nauhoitusleveys',
    'Cause'                => 'Syy',
    'CheckMethod'          => 'Tarkastusmetodi',
    'ChooseDetectedCamera' => 'Valitse tunnistettu kamera', // Added - 2009-03-31
    'ChooseFilter'         => 'Suodatinvalinta',
    'ChooseLogFormat'      => 'Valitse lokiformaatti',    // Added - 2011-06-17
    'ChooseLogSelection'   => 'Valitse lokivalinta', // Added - 2011-06-17
    'ChoosePreset'         => 'Valitse esivalinta',
    'Clear'                => 'Tyhjenn',                  // Added - 2011-06-16
    'Close'                => 'Sulje',
    'Colour'               => 'Vri',
    'Command'              => 'Komento',
    'Component'            => 'komponentti',              // Added - 2011-06-16
    'Config'               => 'Konfig.',
    'ConfiguredFor'        => 'Kaistaleveys: ',
    'ConfirmDeleteEvents'  => 'Haluatko varmasti poistaa valitut leikkeet ?',
    'ConfirmPassword'      => 'Vahvista salasana',
    'ConjAnd'              => 'ja',
    'ConjOr'               => 'tai',
    'Console'              => 'Konsoli',
    'ContactAdmin'         => 'Ota yhteytt yllpitjn saadaksesi listietoja',
    'Continue'             => 'Jatka',
    'Contrast'             => 'Kontrasti',
    'Control'              => 'Kontrolli',
    'ControlAddress'       => 'Kontrolli osoite',
    'ControlCap'           => 'Kontrollisuljin',
    'ControlCaps'          => 'Kontrollsulkimet',
    'ControlDevice'        => 'Kontrollilaite',
    'ControlType'          => 'Kontrollityyppi',
    'Controllable'         => 'Kontrolloitava',
    'Cycle'                => 'Sykli',
    'CycleWatch'           => 'Aikasykli',
    'DateTime'             => 'Pivys/Aika',              // Added - 2011-06-16
    'Day'                  => 'Pivss',
    'Debug'                => 'Debug',
    'DefaultRate'          => 'Oletustaso',
    'DefaultScale'         => 'Oletus skaalaus',
    'DefaultView'          => 'oletusnkym',
    'Delete'               => 'Poista',
    'DeleteAndNext'        => 'Poista ja seuraava',
    'DeleteAndPrev'        => 'Poista ja edellinen',
    'DeleteSavedFilter'    => 'Poista tallennettu suodatin',
    'Description'          => 'Kuvaus',
    'DetectedCameras'      => 'Havaitut kamerat',       // Added - 2009-03-31
    'Device'               => 'Laite',                 // Added - 2009-02-08
    'DeviceChannel'        => 'Laitekanava',
    'DeviceFormat'         => 'Laiteformaatti',
    'DeviceNumber'         => 'Laitenumero',
    'DevicePath'           => 'Laitteen polku',
    'Devices'              => 'Laitteet',
    'Dimensions'           => 'Mitat',
    'DisableAlarms'        => 'Est hlytykset',
    'Disk'                 => 'Levy',
    'Display'              => 'Nytt',                // Added - 2011-01-30
    'Displaying'           => 'Nytt',             // Added - 2011-06-16
    'Donate'               => 'Anna rahaa.',
    'DonateAlready'        => 'Olen jo maksanut',
    'DonateEnticement'     => 'Olet kyttnyt Zoneminderia jo jonkin aikaa, toivattavasti olet tyytyvinen. Ky antamassa kommenttisi Zoneminder.com sivustolle !',
    'DonateRemindDay'      => 'Ei viel, muistuta minua myhemmin.',
    'DonateRemindHour'     => 'Ei viel, muistuta tunnin kuluttua uudelleen.',
    'DonateRemindMonth'    => 'Ei viel, muistuta kuukauden kuluttua uudelleen.',
    'DonateRemindNever'    => 'En ole halukas maksamaan mitn, l muistuttele en tst.',
    'DonateRemindWeek'     => 'Ei viel, muistuta viikon kuluttua uudelleen.',
    'DonateYes'            => 'Joo, kyll haluaisin maksaa nyt.',
    'Download'             => 'Lataa',
    'DuplicateMonitorName' => 'Monitorin nimi jo kytss', // Added - 2009-03-31
    'Duration'             => 'Kesto',
    'Edit'                 => 'Muokkaa',
    'Email'                => 'E-Mail',
    'EnableAlarms'         => 'Aktivoi hlytys',
    'Enabled'              => 'Aktivoitu',
    'EnterNewFilterName'   => 'anna uusi suodatin nimi',
    'Error'                => 'Virhe',
    'ErrorBrackets'        => 'Virhe, vain sama mr avoimia ja suljettuja sulkuja.',
    'ErrorValidValue'      => 'Virhe, tarkasta kaikki sytteet',
    'Etc'                  => 'jne.',
    'Event'                => 'Tapahtuma',
    'EventFilter'          => 'Tapahtumasuodatin',
    'EventId'              => 'Tapahtuma-ID',
    'EventName'            => 'Tapahtuman nimi',
    'EventPrefix'          => 'Tapahtuman etuliite',
    'Events'               => 'Tapahtumat',
    'Exclude'              => 'Ilman;',
    'Execute'              => 'Suorita',
    'Export'               => 'Vie',
    'ExportDetails'        => 'Vie tapahtumatiedot',
    'ExportFailed'         => 'Vie eponnistuneet',
    'ExportFormat'         => 'Vientiformaatti',
    'ExportFormatTar'      => 'TAR (Unix)',
    'ExportFormatZip'      => 'ZIP (Windows)',
    'ExportFrames'         => 'Vie kehykset',
    'ExportImageFiles'     => 'Vie kuvatiedostot',
    'ExportLog'            => 'Vie loki',             // Added - 2011-06-17
    'ExportMiscFiles'      => 'Vie muut tiedostot (mikli on)',
    'ExportOptions'        => 'Vientiasetukset',
    'ExportSucceeded'      => 'Vienti onnistui',       // Added - 2009-02-08
    'ExportVideoFiles'     => 'Vie videotiedostot (mikli on)',
    'Exporting'            => 'Vien',
    'FPS'                  => 'fps',
    'FPSReportInterval'    => 'fps-raportointi intervalli',
    'FTP'                  => 'FTP',
    'Far'                  => 'Kauas',
    'FastForward'          => 'Pikakelaus eteen',
    'Feed'                 => 'Syte',
    'Ffmpeg'               => 'Ffmpeg',                 // Added - 2009-02-08
    'File'                 => 'Tiedosto',
    'FilterArchiveEvents'  => 'Arkistoi kaikki osumat',
    'FilterDeleteEvents'   => 'Poista kaikki osumat',
    'FilterEmailEvents'    => 'Postita kaikki osumat',
    'FilterExecuteEvents'  => 'Suorita kaikki osumat',
    'FilterMessageEvents'  => 'Ilmoita kaikista osumista',
    'FilterPx'             => 'Suodatin-Pixelit',
    'FilterUnset'          => 'Suodattimelle on annettava korkeus ja leveys',
    'FilterUploadEvents'   => 'Lataa kaikki osumat',
    'FilterVideoEvents'    => 'Muodosta video kaikista osumista',
    'Filters'              => 'Suodattimet',
    'First'                => 'Ensimminen',
    'FlippedHori'          => 'Horisontaalinen peilaus',
    'FlippedVert'          => 'Vertikaalinen peilaus',
    'Focus'                => 'Fokus',
    'ForceAlarm'           => 'Pakota hlytys',
    'Format'               => 'Formaatti',
    'Frame'                => 'Kehys',
    'FrameId'              => 'Kehys-ID',
    'FrameRate'            => 'Kehysnopus',
    'FrameSkip'            => 'Kehyksi jtetty pois',
    'Frames'               => 'Kehykset',
    'Func'                 => 'Toim.',
    'Function'             => 'Toiminto',
    'Gain'                 => 'Vahvistus',
    'General'              => 'Yleist',
    'GenerateVideo'        => 'Luo video',
    'GeneratingVideo'      => 'Luo Videota...',
    'GoToZoneMinder'       => 'Siiry ZoneMinder.com osoitteeseen',
    'Grey'                 => 'Harmaa',
    'Group'                => 'Ryhm',
    'Groups'               => 'ryhmt',
    'HasFocusSpeed'        => 'Fokus-nopeus',
    'HasGainSpeed'         => 'Vahvistusnopus',
    'HasHomePreset'        => 'Esiasetukset',
    'HasIrisSpeed'         => 'Irisnopus',
    'HasPanSpeed'          => 'Pan-nopus',
    'HasPresets'           => 'Esiasetukset',
    'HasTiltSpeed'         => 'Tilt-nopus',
    'HasTurboPan'          => 'Turbo-Pan',
    'HasTurboTilt'         => 'Turbo-Tilt',
    'HasWhiteSpeed'        => 'Valkobalanssinopus',
    'HasZoomSpeed'         => 'Zoom-nopus',
    'High'                 => 'Nopea',
    'HighBW'               => 'Korkea M/V',
    'Home'                 => 'Koti',
    'Hour'                 => 'Tunnissa',
    'Hue'                  => 'Svy',
    'Id'                   => 'ID',
    'Idle'                 => 'Levossa',
    'Ignore'               => 'Ohita',
    'Image'                => 'Kuva',
    'ImageBufferSize'      => 'Kuva puskurin koko',
    'Images'               => 'Kuvat',
    'In'                   => 'Sisn',
    'Include'              => 'Sisllyt',
    'Inverted'             => 'Invertoitu',
    'Iris'                 => 'Iris',
    'KeyString'            => 'Avainsana',
    'Label'                => 'Kuvaus',
    'Language'             => 'Kieli',
    'Last'                 => 'Viimeinen',
    'Layout'               => 'asu',                 // Added - 2009-02-08
    'Level'                => 'Taso',                  // Added - 2011-06-16
    'LimitResultsPost'     => 'tapahtumaan', // This is used at the end of the phrase 'Limit to first N results only'
    'LimitResultsPre'      => 'Rajoita ensimmisiin', // This is used at the beginning of the phrase 'Limit to first N results only'
    'Line'                 => 'Viiva',                   // Added - 2011-06-16
    'LinkedMonitors'       => 'Kytketyt monitorit',
    'List'                 => 'Lista',
    'Load'                 => 'Kuormitus',
    'Local'                => 'Paikallinen',
    'Log'                  => 'Loki',                    // Added - 2011-06-16
    'LoggedInAs'           => 'Kirjauduttu nimell',
    'Logging'              => 'Loki',                // Added - 2011-06-16
    'LoggingIn'            => 'Kirjautuu sisn',
    'Login'                => 'Kirjaudu',
    'Logout'               => 'Poistu',
    'Logs'                 => 'Lokit',                   // Added - 2011-06-17
    'Low'                  => 'Alhainen',
    'LowBW'                => 'Alhainen M/V',
    'Main'                 => 'P',
    'Man'                  => 'Man',
    'Manual'               => 'Manuaalinen',
    'Mark'                 => 'Merkitse',
    'Max'                  => 'Max',
    'MaxBandwidth'         => 'Max. Kaistaleveys',
    'MaxBrScore'           => 'Max.<br />Pistemr',
    'MaxFocusRange'        => 'Max. Fokusalue',
    'MaxFocusSpeed'        => 'Max. Fokusnopeus',
    'MaxFocusStep'         => 'Max. Fokusporras',
    'MaxGainRange'         => 'Max. Gain alue',
    'MaxGainSpeed'         => 'Max. Gain nopus',
    'MaxGainStep'          => 'Max. Gain porras',
    'MaxIrisRange'         => 'Max. Iris alue',
    'MaxIrisSpeed'         => 'Max. Iris nopeus',
    'MaxIrisStep'          => 'Max. Iris porras',
    'MaxPanRange'          => 'Max. Pan-alue',
    'MaxPanSpeed'          => 'Max. Pan-nopeus',
    'MaxPanStep'           => 'Max. Pan-porras',
    'MaxTiltRange'         => 'Max. Tilt-alue',
    'MaxTiltSpeed'         => 'Max. Tilt-nopus',
    'MaxTiltStep'          => 'Max.imale Neig.-Stufe',
    'MaxWhiteRange'        => 'Max. valkobalanssi alue',
    'MaxWhiteSpeed'        => 'Max. valkobalanssi nopeus',
    'MaxWhiteStep'         => 'Max. valkobalanssi porras',
    'MaxZoomRange'         => 'Max. zoom-alue',
    'MaxZoomSpeed'         => 'Max. zoom-nopus',
    'MaxZoomStep'          => 'Max. zoom-porras',
    'MaximumFPS'           => 'Max. FPS',
    'Medium'               => 'keskim.',
    'MediumBW'             => 'keskim. M/V',
    'Message'              => 'Viesti',                // Added - 2011-06-16
    'MinAlarmAreaLtMax'    => 'minimi hlytysalue tulee olla pienempi kuin maksimi',
    'MinAlarmAreaUnset'    => 'anna minimimr pikseleiss',
    'MinBlobAreaLtMax'     => 'minimi blob alueen tulee olla piemenpi kuin maksimi',
    'MinBlobAreaUnset'     => 'anna minimi blob-alue pikseleiss',
    'MinBlobLtMinFilter'   => 'minimi blob-alue tulee olla pienempi tai yhtsuuri kuin suodatinalue',
    'MinBlobsLtMax'        => 'minimi blob alueen tulee olla piemenpi kuin maksimi',
    'MinBlobsUnset'        => 'minimi blob-arvo annettava',
    'MinFilterAreaLtMax'   => 'minimi suodatinalue tulee olla pienempi kuin maksimi',
    'MinFilterAreaUnset'   => 'anna minimimr pikseleiss',
    'MinFilterLtMinAlarm'  => 'minimi suodatinalue tulee olla pienempi tai yhtsuuri kuin hlytysalue',
    'MinFocusRange'        => 'Min. Fokusalue',
    'MinFocusSpeed'        => 'Min. Fokusnopeus.',
    'MinFocusStep'         => 'Min. Fokusporras',
    'MinGainRange'         => 'Min. Gain-alue',
    'MinGainSpeed'         => 'Min. Gain-nopeus',
    'MinGainStep'          => 'Min. Gain-porras',
    'MinIrisRange'         => 'Min. Irisalue',
    'MinIrisSpeed'         => 'Min. Irisnopeus',
    'MinIrisStep'          => 'Min. Irisporras',
    'MinPanRange'          => 'Min. Pan-alue',
    'MinPanSpeed'          => 'Min. Pan-nopeus',
    'MinPanStep'           => 'Min. Pan-porras',
    'MinPixelThresLtMax'   => 'minimi pikselikynnys tulee olla pienempi kuin maksimi',
    'MinPixelThresUnset'   => 'anna minimi pikselikynnys',
    'MinTiltRange'         => 'Min. Tilt-alue',
    'MinTiltSpeed'         => 'Min. Tilt-nopeus',
    'MinTiltStep'          => 'Min. Tilt-porras',
    'MinWhiteRange'        => 'Min. vakobalanssialue',
    'MinWhiteSpeed'        => 'Min. vakobalanssinopus',
    'MinWhiteStep'         => 'Min. vakobalanssiporras',
    'MinZoomRange'         => 'Min. Zoom-alue',
    'MinZoomSpeed'         => 'Min. Zoom-nopus',
    'MinZoomStep'          => 'Min. Zoom-porras',
    'Misc'                 => 'muuta',
    'Monitor'              => 'Monitori',
    'MonitorIds'           => 'Monitori-ID',
    'MonitorPreset'        => 'Monitori-esiasetus',
    'MonitorPresetIntro'   => 'Valitse sopiva esiasetus listalta.<br><br>Huomio, ett valinta ylikirjoittaa monitorin tmnhetkiset asetukset.<br><br>',
    'MonitorProbe'         => 'Monitor Probe',          // Added - 2009-03-31
    'MonitorProbeIntro'    => 'The list below shows detected analog and network cameras and whether they are already being used or available for selection.<br/><br/>Select the desired entry from the list below.<br/><br/>Please note that not all cameras may be detected and that choosing a camera here may overwrite any values you already have configured for the current monitor.<br/><br/>', // Added - 2009-03-31
    'Monitors'             => 'Monitorit',
    'Montage'              => 'Montaasi',
    'Month'                => 'Kuukaudessa',
    'More'                 => 'Enemmn',                   // Added - 2011-06-16
    'Move'                 => 'Liike',
    'MustBeGe'             => 'on oltava suuremi tai yhtsuuri kuin',
    'MustBeLe'             => 'on oltava pienempi tai yhtsuuri kuin',
    'MustConfirmPassword'  => 'salasanasi on vahvistettava.',
    'MustSupplyPassword'   => 'salasana on annettava.',
    'MustSupplyUsername'   => 'kyttjtunnus on pakollinen.',
    'Name'                 => 'Nimi',
    'Near'                 => 'lh.',
    'Network'              => 'verkko',
    'New'                  => 'uusi',
    'NewGroup'             => 'uusi ryhm',
    'NewLabel'             => 'uusi kuvaus',
    'NewPassword'          => 'uusi salasana',
    'NewState'             => 'uusi tila',
    'NewUser'              => 'uusi kyttj',
    'Next'                 => 'seuraava',
    'No'                   => 'ei',
    'NoDetectedCameras'    => 'ei tunnistettuja kameroita',    // Added - 2009-03-31
    'NoFramesRecorded'     => 'ei nauhoitteita tss tapahtumassa',
    'NoGroup'              => 'ei ryhm',
    'NoSavedFilters'       => 'ei tallennettuja suodattimia',
    'NoStatisticsRecorded' => 'ei tilastoa nille tapahtumille/kuville',
    'None'                 => 'ei mitn',
    'NoneAvailable'        => 'ei saatavilla',
    'Normal'               => 'Normaali',
    'Notes'                => 'Huomautukset',
    'NumPresets'           => 'Numeroitu esiasetus',
    'Off'                  => 'Pois',
    'On'                   => 'Pll',
    'OpEq'                 => 'yhtsuuri kuin',
    'OpGt'                 => 'suurempi kuin',
    'OpGtEq'               => 'suurempi tai yhtuuri kuin',
    'OpIn'                 => 'sama kuin',
    'OpLt'                 => 'pienempi kuin',
    'OpLtEq'               => 'pinempi tai yhtsuuri kuin',
    'OpMatches'            => 'tsm',
    'OpNe'                 => 'erisuuri',
    'OpNotIn'              => 'erisuuri',
    'OpNotMatches'         => 'ei tsm',
    'Open'                 => 'avaa',
    'OptionHelp'           => 'Apua',
    'OptionRestartWarning' => 'Muutokset tulevat voimaan vasta uudelleenkynnistyksen jlkeen.',
    'Options'              => 'Asetukset',
    'OrEnterNewName'       => 'tai anna uusi nimi',
    'Order'                => 'Jrjestys',
    'Orientation'          => 'Orientaatio',
    'Out'                  => 'Ulos',
    'OverwriteExisting'    => 'ylikirjoita',
    'Paged'                => 'sivunumerointi',
    'Pan'                  => 'Pan',
    'PanLeft'              => 'Pan-vasen',
    'PanRight'             => 'Pan-oikea',
    'PanTilt'              => 'Pan/Tilt',
    'Parameter'            => 'arvot',
    'Password'             => 'Salasana',
    'PasswordsDifferent'   => 'salasanat eroavat',
    'Paths'                => 'polut',
    'Pause'                => 'tauko',
    'Phone'                => 'puhelin',
    'PhoneBW'              => 'Mobiili',
    'Pid'                  => 'PID',                    // Added - 2011-06-16
    'PixelDiff'            => 'Pikseli-eroavuus',
    'Pixels'               => 'Pikselit',
    'Play'                 => 'Toista',
    'PlayAll'              => 'Toista kaikki',
    'PleaseWait'           => 'Odota',
    'Point'                => 'Piste',
    'PostEventImageBuffer' => 'Jlkinauhoituspuskuri',
    'PreEventImageBuffer'  => 'Esinauhoituspuskuri',
    'PreserveAspect'       => 'Pid sivusuhde',
    'Preset'               => 'Esiasetus',
    'Presets'              => 'Esiasetukset',
    'Prev'                 => 'Edellinen',
    'Probe'                => 'Kokeile',                  // Added - 2009-03-31
    'Protocol'             => 'Protokolla',
    'Rate'                 => 'Nopeus',
    'Real'                 => 'alkuperinen',
    'Record'               => 'Nauhoite',
    'RefImageBlendPct'     => 'Referenssikuvan muutos %',
    'Refresh'              => 'Pivit',
    'Remote'               => 'Verkko',
    'RemoteHostName'       => 'Verkkonimi',
    'RemoteHostPath'       => 'Verkkopolku',
    'RemoteHostPort'       => 'Verkkoportti',
    'RemoteHostSubPath'    => 'Verkon alipolku',    // Added - 2009-02-08
    'RemoteImageColours'   => 'Vripaletti',
    'RemoteMethod'         => 'Verkkometodi',          // Added - 2009-02-08
    'RemoteProtocol'       => 'Verkkoprotokolla',        // Added - 2009-02-08
    'Rename'               => 'Nime uudelleen',
    'Replay'               => 'Toista',
    'ReplayAll'            => 'Toista kaikki',
    'ReplayGapless'        => 'Toista perkkin tauotta',
    'ReplaySingle'         => 'toista yksittin',
    'Reset'                => 'resetoi',
    'ResetEventCounts'     => 'Resetoi nauhoitelaskuri',
    'Restart'              => 'Kynnist uudelleen',
    'Restarting'           => 'Kynnistyy',
    'RestrictedCameraIds'  => 'Kielletty Kamera-ID',
    'RestrictedMonitors'   => 'Kielletyt Monitorit',
    'ReturnDelay'          => 'Kntviive',
    'ReturnLocation'       => 'Kntpiste',
    'Rewind'               => 'Taakse kelaus',
    'RotateLeft'           => 'Knn vasemmalle',
    'RotateRight'          => 'Knn oikealle',
    'RunLocalUpdate'       => 'Aja zmupdate.pl pivittksesi', // Added - 2011-05-25
    'RunMode'              => 'Ajomoodi',
    'RunState'             => 'Ajotila',
    'Running'              => 'Kynniss',
    'Save'                 => 'OK',
    'SaveAs'               => 'Tallenna nimell',
    'SaveFilter'           => 'Tallenna suodatin',
    'Scale'                => 'Skaalaus',
    'Score'                => 'Pistemr',
    'Secs'                 => 'Sekuntia',
    'Sectionlength'        => 'Otoksen pituus',
    'Select'               => 'Valinta',
    'SelectFormat'         => 'Valitse formaatti',          // Added - 2011-06-17
    'SelectLog'            => 'Valitse loki',             // Added - 2011-06-17
    'SelectMonitors'       => 'Valitse Monitori',
    'SelfIntersecting'     => 'Alueet eivt saa leikata keskenn.',
    'Set'                  => 'Aseta',
    'SetNewBandwidth'      => 'Aseta uusi kaistaleveys',
    'SetPreset'            => 'Aseta esiasetus',
    'Settings'             => 'Asetukset',
    'ShowFilterWindow'     => 'Nyt suodatin ikkuna',
    'ShowTimeline'         => 'Nyt aikajana',
    'SignalCheckColour'    => 'Signaalivri',
    'Size'                 => 'Koko',
    'SkinDescription'      => 'Ulkoasun valinta', // Added - 2011-01-30
    'Sleep'                => 'Nukkuu',
    'SortAsc'              => 'nousevasti',
    'SortBy'               => 'Lajittele',
    'SortDesc'             => 'laskevasti',
    'Source'               => 'Lhde',
    'SourceColours'        => 'Lhdevrit',         // Added - 2009-02-08
    'SourcePath'           => 'Lhdepolku',            // Added - 2009-02-08
    'SourceType'           => 'Lhdetyyppi',
    'Speed'                => 'Nopeus',
    'SpeedHigh'            => 'Nopea',
    'SpeedLow'             => 'Hidas',
    'SpeedMedium'          => 'Normaalinopus',
    'SpeedTurbo'           => 'Turbo-nopeus',
    'Start'                => 'Kynnist',
    'State'                => 'Tila',
    'Stats'                => 'Tila',
    'Status'               => 'Tila',
    'Step'                 => 'Askel',
    'StepBack'             => 'Askel taakse',
    'StepForward'          => 'Askel eteen',
    'StepLarge'            => 'Pitk askel',
    'StepMedium'           => 'Normaali askel',
    'StepNone'             => 'Ei askelta',
    'StepSmall'            => 'Pieni askel',
    'Stills'               => 'Kuvat',
    'Stop'                 => 'Pysyt',
    'Stopped'              => 'Pysytetty',
    'Stream'               => 'Kuvavirta',
    'StreamReplayBuffer'   => 'Kuvavirran toistopuskurin pivitys',
    'Submit'               => 'Lhet',
    'System'               => 'Jrjestelm',
    'SystemLog'            => 'Jrjestelmloki',             // Added - 2011-06-16
    'Tele'                 => 'Tele',
    'Thumbnail'            => 'Pikkukuva',
    'Tilt'                 => 'Tilt',
    'Time'                 => 'Aika',
    'TimeDelta'            => 'Aikaero',
    'TimeStamp'            => 'Aikaleima',
    'Timeline'             => 'Aikajana',
    'Timestamp'            => 'Aikaleima',
    'TimestampLabelFormat' => 'Aikaleiman muoto',
    'TimestampLabelX'      => 'Aikaleima-X',
    'TimestampLabelY'      => 'Aikaleima-Y',
    'Today'                => 'Tnn',
    'Tools'                => 'Tkalut',
    'Total'                => 'Yhteens',                  // Added - 2011-06-16
    'TotalBrScore'         => 'Yhteens<br/>Pistemr',
    'TrackDelay'           => 'Jljitysviive',
    'TrackMotion'          => 'Liikejljitys',
    'Triggers'             => 'Laukaisijat',
    'TurboPanSpeed'        => 'Turbo-Pan-nopeus',
    'TurboTiltSpeed'       => 'Turbo-Tilt-nopus',
    'Type'                 => 'Tyyppi',
    'Unarchive'            => 'Poista arkistosta',
    'Undefined'            => 'Mrittelemtn',              // Added - 2009-02-08
    'Units'                => 'Yksikk',
    'Unknown'              => 'Tuntematon',
    'Update'               => 'Pivit',
    'UpdateAvailable'      => 'Pivitys on saatavilla.',
    'UpdateNotNecessary'   => 'Pivitys ei ole tarpeellista.',
    'Updated'              => 'Pivitetty',                // Added - 2011-06-16
    'Upload'               => 'Lataa',                 // Added - 2011-08-23
    'UseFilter'            => 'Kyt suodtinta',
    'UseFilterExprsPost'   => 'suodatinlaajennuksia', // This is used at the end of the phrase 'use N filter expressions'
    'UseFilterExprsPre'    => 'Kyt', // This is used at the beginning of the phrase 'use N filter expressions'
    'User'                 => 'Kyttj',
    'Username'             => 'Kyttjtunnus',
    'Users'                => 'Kyttjt',
    'Value'                => 'Arvo',
    'Version'              => 'Versio',
    'VersionIgnore'        => 'Jt huomiotta tm versio',
    'VersionRemindDay'     => 'Muistuta uudelleen huomenna.',
    'VersionRemindHour'    => 'Muistuta uudelleen tunnin pst.',
    'VersionRemindNever'   => 'l muistuta en uusista versioista.',
    'VersionRemindWeek'    => 'Muistuta uudelleen viikon pst..',
    'Video'                => 'Video',
    'VideoFormat'          => 'Videoformaatti',
    'VideoGenFailed'       => 'Videon luonti eponnistui!',
    'VideoGenFiles'        => 'Videotiedostot',
    'VideoGenNoFiles'      => 'Videotiedostoja ei lytynyt.',
    'VideoGenParms'        => 'Videon luontiparametrit',
    'VideoGenSucceeded'    => 'Videon luonti onnitui!',
    'VideoSize'            => 'Videon koko',
    'View'                 => 'Nyt',
    'ViewAll'              => 'Nyt kaikki',
    'ViewEvent'            => 'Nyt tapahtuma',
    'ViewPaged'            => 'Sivunkym',
    'Wake'                 => 'Hert',
    'WarmupFrames'         => 'Lmmittelykehykset',
    'Watch'                => 'Katso',
    'Web'                  => 'Web',
    'WebColour'            => 'Web-vri',
    'Week'                 => 'Viikossa',
    'White'                => 'Valkoinen',
    'WhiteBalance'         => 'Valkotasapaino',
    'Wide'                 => 'Leveys',
    'X'                    => 'X',
    'X10'                  => 'X10',
    'X10ActivationString'  => 'X10-Aktivointiarvo',
    'X10InputAlarmString'  => 'X10-Hlytyksen aloitusarvo',
    'X10OutputAlarmString' => 'X10-Hlytyksen lopetusarvo',
    'Y'                    => 'Y',
    'Yes'                  => 'Kyll',
    'YouNoPerms'           => 'Ei oikeuksia lhteeseen.',
    'Zone'                 => 'Vyhyke',
    'ZoneAlarmColour'      => 'Hlytysvri (Punainen/Vihre/Sininen)',
    'ZoneArea'             => 'Vyhykealue',
    'ZoneFilterSize'       => 'suodattimen-Leveys/-Korkeus (Pikseli)',
    'ZoneMinMaxAlarmArea'  => 'Min./max. Hlytysalue',
    'ZoneMinMaxBlobArea'   => 'Min./max. Blob-alue',
    'ZoneMinMaxBlobs'      => 'Min./max. Blob',
    'ZoneMinMaxFiltArea'   => 'Min./max. Suodatinalue',
    'ZoneMinMaxPixelThres' => 'Min./max. Pikselikynnysarvo',
    'ZoneMinderLog'        => 'ZoneMinder Loki',         // Added - 2011-06-17
    'ZoneOverloadFrames'   => 'Zone Overload Frames',
    'Zones'                => 'Vyhykkeet',
    'Zoom'                 => 'Zoom',
    'ZoomIn'               => 'Lhenn',
    'ZoomOut'              => 'Loitonna',
);

// Complex replacements with formatting and/or placements, must be passed through sprintf
$CLANG = array(
    'CurrentLogin'         => 'Kirjautuneena \'%1$s\'',
    'EventCount'           => '%1$s %2$s', // For example '37 Events' (from Vlang below)
    'LastEvents'           => 'Viimeiset %1$s %2$s', // For example 'Last 37 Events' (from Vlang below)
    'LatestRelease'        => 'Uusin versio on v%1$s, Sinulla on v%2$s.',
    'MonitorCount'         => '%1$s %2$s', // For example '4 Monitors' (from Vlang below)
    'MonitorFunction'      => 'Monitori %1$s Toiminto',
    'RunningRecentVer'     => 'Sinulla on uusin versio Zoneminderista, v%s.',
    'VersionMismatch'      => 'Versio ristiriita, systeemi on versio %1$s, tietokanta on %2$s.', // Added - 2011-05-25
);

// The next section allows you to describe a series of word ending and counts used to 
// generate the correctly conjugated forms of words depending on a count that is associated
// with that word.
// This intended to allow phrases such a '0 potatoes', '1 potato', '2 potatoes' etc to
// conjugate correctly with the associated count.
// In some languages such as English this is fairly simple and can be expressed by assigning
// a count with a singular or plural form of a word and then finding the nearest (lower) value.
// So '0' of something generally ends in 's', 1 of something is singular and has no extra
// ending and 2 or more is a plural and ends in 's' also. So to find the ending for '187' of
// something you would find the nearest lower count (2) and use that ending.
//
// So examples of this would be
// $zmVlangPotato = array( 0=>'Potatoes', 1=>'Potato', 2=>'Potatoes' );
// $zmVlangSheep = array( 0=>'Sheep' );
//
// where you can have as few or as many entries in the array as necessary
// If your language is similar in form to this then use the same format and choose the
// appropriate zmVlang function below.
// If however you have a language with a different format of plural endings then another
// approach is required . For instance in Russian the word endings change continuously
// depending on the last digit (or digits) of the numerator. In this case then zmVlang
// arrays could be written so that the array index just represents an arbitrary 'type'
// and the zmVlang function does the calculation about which version is appropriate.
//
// So an example in Russian might be (using English words, and made up endings as I
// don't know any Russian!!)
// $zmVlangPotato = array( 1=>'Potati', 2=>'Potaton', 3=>'Potaten' );
//
// and the zmVlang function decides that the first form is used for counts ending in
// 0, 5-9 or 11-19 and the second form when ending in 1 etc.
//

// Variable arrays expressing plurality, see the zmVlang description above
$VLANG = array(
    'Event'                => array( 0=>'Tapahtumaa', 1=>'Tapahtuma', 2=>'Tapahtumaa' ),
    'Monitor'              => array( 0=>'Monitoria', 1=>'Monitori', 2=>'Monitoria' ),
);

// You will need to choose or write a function that can correlate the plurality string arrays
// with variable counts. This is used to conjugate the Vlang arrays above with a number passed
// in to generate the correct noun form.
//
// In languages such as English this is fairly simple 
// Note this still has to be used with printf etc to get the right formating
function zmVlang( $langVarArray, $count )
{
    krsort( $langVarArray );
    foreach ( $langVarArray as $key=>$value )
    {
        if ( abs($count) >= $key )
        {
            return( $value );
        }
    }
    die( 'Error, unable to correlate variable language string' );
}

// This is an version that could be used in the Russian example above
// The rules are that the first word form is used if the count ends in
// 0, 5-9 or 11-19. The second form is used then the count ends in 1
// (not including 11 as above) and the third form is used when the 
// count ends in 2-4, again excluding any values ending in 12-14.
// 
// function zmVlang( $langVarArray, $count )
// {
//  $secondlastdigit = substr( $count, -2, 1 );
//  $lastdigit = substr( $count, -1, 1 );
//  // or
//  // $secondlastdigit = ($count/10)%10;
//  // $lastdigit = $count%10;
// 
//  // Get rid of the special cases first, the teens
//  if ( $secondlastdigit == 1 && $lastdigit != 0 )
//  {
//      return( $langVarArray[1] );
//  }
//  switch ( $lastdigit )
//  {
//      case 0 :
//      case 5 :
//      case 6 :
//      case 7 :
//      case 8 :
//      case 9 :
//      {
//          return( $langVarArray[1] );
//          break;
//      }
//      case 1 :
//      {
//          return( $langVarArray[2] );
//          break;
//      }
//      case 2 :
//      case 3 :
//      case 4 :
//      {
//          return( $langVarArray[3] );
//          break;
//      }
//  }
//  die( 'Error, unable to correlate variable language string' );
// }

// This is an example of how the function is used in the code which you can uncomment and 
// use to test your custom function.
//$monitors = array();
//$monitors[] = 1; // Choose any number
//echo sprintf( $zmClangMonitorCount, count($monitors), zmVlang( $zmVlangMonitor, count($monitors) ) );

// In this section you can override the default prompt and help texts for the options area
// These overrides are in the form show below where the array key represents the option name minus the initial ZM_
// So for example, to override the help text for ZM_LANG_DEFAULT do
$OLANG = array(
//    'LANG_DEFAULT' => array(
//        'Prompt' => "This is a new prompt for this option",
//        'Help' => "This is some new help for this option which will be displayed in the popup window when the ? is clicked"
//    ),
);

?>
